summaryrefslogtreecommitdiffstats
path: root/games/crispy-doom
diff options
context:
space:
mode:
Diffstat (limited to 'games/crispy-doom')
-rw-r--r--games/crispy-doom/crispy-doom.SlackBuild17
-rw-r--r--games/crispy-doom/crispy-doom.info8
2 files changed, 14 insertions, 11 deletions
diff --git a/games/crispy-doom/crispy-doom.SlackBuild b/games/crispy-doom/crispy-doom.SlackBuild
index 9c75da62b8..520e714839 100644
--- a/games/crispy-doom/crispy-doom.SlackBuild
+++ b/games/crispy-doom/crispy-doom.SlackBuild
@@ -26,7 +26,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=crispy-doom
-VERSION=${VERSION:-5.11.1}
+VERSION=${VERSION:-7.0}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -71,7 +71,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || tar xvf $CWD/$PRGNAM-$PRGNAM-$VERSION.tar.gz
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || tar xvf $CWD/$PRGNAM-$PRGNAM-$VERSION.tar.gz || exit 1
cd $PRGNAM-$PRGNAM-$VERSION
chown -R root:root .
find -L . \
@@ -100,13 +100,16 @@ find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | gr
find $PKG/usr/man -type f -exec gzip -9 {} \;
for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
-# Crispy-doom insists on creating its own doc directory,
-# so we'll use that and rename it:
+# Remove unnecessary GNOME screensaver desktop entry:
+rm -rf $PKG/usr/share/applications/screensavers
+
mv $PKG/usr/doc/$PRGNAM $PKG/usr/doc/$PRGNAM-$VERSION
-cp -n ChangeLog *.md $PKG/usr/doc/$PRGNAM-$VERSION || true
+( cd $PKG/usr/doc/$PRGNAM-$VERSION
+ mkdir -p $PRGNAM
+ mv *.doom $PRGNAM
+ mv ../crispy-{heretic,hexen,strife} .
+ )
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-# We'll rename the doc/crispy-heretic folder as well for consistency:
-mv $PKG/usr/doc/crispy-heretic $PKG/usr/doc/crispy-heretic-$VERSION
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
diff --git a/games/crispy-doom/crispy-doom.info b/games/crispy-doom/crispy-doom.info
index 6d4a9a8ae3..ec5c5dcd2b 100644
--- a/games/crispy-doom/crispy-doom.info
+++ b/games/crispy-doom/crispy-doom.info
@@ -1,8 +1,8 @@
PRGNAM="crispy-doom"
-VERSION="5.11.1"
-HOMEPAGE="http://www.chocolate-doom.org/wiki/index.php/Crispy_Doom"
-DOWNLOAD="https://github.com/fabiangreffrath/crispy-doom/archive/crispy-doom-5.11.1.tar.gz"
-MD5SUM="1b2a1125610c8d1edbc306db0119c873"
+VERSION="7.0"
+HOMEPAGE="https://www.chocolate-doom.org/wiki/index.php/Crispy_Doom"
+DOWNLOAD="https://github.com/fabiangreffrath/crispy-doom/archive/crispy-doom-7.0/crispy-doom-crispy-doom-7.0.tar.gz"
+MD5SUM="8eeacdbde0387f3fdf2c5b90c5e6aa4c"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""